[Chandler-dev] Re: build on feisty

bear bear at code-bear.com
Mon Oct 15 11:08:08 PDT 2007


Heikki Toivonen wrote:
> bear wrote:
>> Andi Vajda wrote:
>>> On Mon, 15 Oct 2007, bear wrote:
>>>> We could do the same thing by adding pkg-config --modversion openssl
>>>> to the Makefile.inc and if found, enable the link from the system
>>>> version.
>>>>
>>> The reason to use configure is so that 'it' (the configure magic) can
>>> figure out what's there, what's needed, what's in the way. Invoking
>>> configure with extra flags such as --with-system-icu sort of defeats
>>> the purpose. It can be as easily done without configure with 'make
>>> ICU_BUILD= '
>> right - with a couple pkg-config calls we can easily determine what
>> version is available and use it.
> 
> That is just the way I made this first configure. It could be done any
> way you like. For example, we could have it by default try to find
> suitable system versions, and if found, use them (I've used that in
> another project I am working on). We could then also add flags to
> override (disable) that. The reason I went with needing to explicitly
> use system versions is because that is generally safer. For example,
> given the recent report that on some distros, even though they have
> openssl 0.9.8 Chandler does not work against it for some reason.
> 
> pkg-config is not available on all distros, nor is it available on Mac
> (?) or Windows.
> 
> PS. We should take this discussion to dev.
> 

On Mac I wasn't worried about pkg-config because it will be a binary 
option: running on leopard? yes=use system, no=use ours

On Windows: use ours


More information about the chandler-dev mailing list